.form {
  margin: 25px 0;
  font-size: 0.9em;
  font-family: sans-serif;
  min-width: 400px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
}

.form div {
  display: flex;
  flex-direction: column;
  padding: 10px;
  gap: 1em;
}

.form div:last-child {
  flex-direction: row;
}

.form div:last-child button {
  color: white;
  padding: 10px;
}

.form div:last-child button:hover {
  cursor: pointer;
  box-shadow: 2px 2px 5px #3d3b3ba8;
  transform: translateY(-2px);
  transition: all 0.4s;
}

.form div:last-child button:first-child {
  background-color: #0a9660;
}

.form div:last-child button:first-child:hover {
  background-color: #158359;
}

.form div:last-child button:nth-child(2) {
  background-color: #a33223;
}

.form div:last-child button:nth-child(2):hover {
  background-color: #8a2619;
}

.form div input {
  outline: 0;
  border-bottom: 1px solid;
  font-size: 20px;
}

.form div input:hover {
  border-bottom: 1px solid #a33223;
}

.form div input:focus {
  border-bottom: 1.5px solid #771407;
}

.form div input[type="number"] {
  -moz-appearance: textfield;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
